> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Inventory Item

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Revokes access to an item in a user's inventory

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ItemNotFound | 1047 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/RevokeInventoryItem
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/RevokeInventoryItem:
    post:
      tags:
        - Player Item Management
      summary: Revoke Inventory Item
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Revokes access
        to an item in a user's inventory


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ItemNotFound | 1047 |

        | ProductDisabledForTitle | 1609 |
      operationId: RevokeInventoryItem
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevokeInventoryItemRequest'
        description: >-
          In cases where the inventory item in question is a "crate", and the
          items it contained have already been dispensed, this will not revoke
          access or otherwise remove the items which were dispensed.
      responses:
        '200':
          $ref: '#/components/responses/RevokeInventoryResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    RevokeInventoryItemRequest:
      description: >-
        In cases where the inventory item in question is a "crate", and the
        items it contained have already been dispensed, this will not revoke
        access or otherwise remove the items which were dispensed.
      type: object
      properties:
        CharacterId:
          description: Unique PlayFab assigned ID for a specific character owned by a user
          type: string
        ItemInstanceId:
          description: Unique PlayFab assigned instance identifier of the item
          type: string
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
        - ItemInstanceId
      example:
        PlayFabId: '203945882'
        ItemInstanceId: '2048583045'
    RevokeInventoryResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    RevokeInventoryResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/RevokeInventoryResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Revoke Inventory Item](/services/playfab/api-references/rest/admin/player-item-management/revoke-inventory-item.md)
- [Revoke Inventory Items](/services/playfab/api-references/rest/admin/player-item-management/revoke-inventory-items.md)
- [Using Player inventory](/services/playfab/player-progression/player-data/player-inventory.md)
- [PlayFab Release Notes 2018](/services/playfab/release-notes/2018.md)
- [PlayFab Release Notes 2015](/services/playfab/release-notes/2015.md)
